Bug 174250 - Warning dialogue during firstboot firewall setup not needed
Warning dialogue during firstboot firewall setup not needed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 10:00 EST by n0dalus
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 16:30:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description n0dalus 2005-11-26 10:00:17 EST
Description of problem:
During firstboot, after setting Firewall settings and accepting, you get a
warning: "Clicking the 'Yes' button will set the security level of the system
and override any existing firewall configuration. Are you sure you want to do
this?".
Assumably there isn't any pre-existing firewall configuration, so I don't think
this warning is necessary during firstboot.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.6.9-1
firstboot-1.3.53-1
Comment 1 Chris Lumens 2005-11-29 16:30:17 EST
There is an existing firewall configuration, though.  anaconda sets up the
system to have SELinux enforcing and only ssh open as a firewall hole.  So
s-c-securitylevel is doing the right thing in seeing that there is an existing
config and warning about it.
Comment 2 n0dalus 2005-11-29 23:23:47 EST
I think defaults are different to an existing configuration set by a user. As
far as the average user is concerned there isn't a pre-existing configuration
and as such would be slightly confused by the message. At least changing the
message on firstboot to something else like 'Clicking the Yes button will set
the security level of the system. You have changed the defaults, are you sure
you want to do this?' would make more sense.

Note You need to log in before you can comment on or make changes to this bug.